# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# C:\ci\containers\000006dgeqi\tmp\build\80754af9\rsync-recipes\distributed-2.17.0-python_3.7-on-winbuilder, last modified Wed May 27 15:43:36 2020
# ------------------------------------------------

package:
    name: distributed
    version: 2.17.0
source:
    sha256: 8b6f8a28eb32ad93f33bd34141fcaf2e437ef5bda900347e8384b332c7f233a3
    url: https://pypi.io/packages/source/d/distributed/distributed-2.17.0.tar.gz
build:
    entry_points:
        - dask-scheduler=distributed.cli.dask_scheduler:go
        - dask-ssh=distributed.cli.dask_ssh:go
        - dask-worker=distributed.cli.dask_worker:go
    number: '0'
    script: C:\\ci\\distributed_1590590997925\\_h_env\\python.exe -m pip install .
        --no-deps --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - ca-certificates 2020.1.1 0
        - certifi 2020.4.5.1 py37_0
        - openssl 1.1.1g he774522_0
        - pip 20.0.2 py37_3
        - python 3.7.7 h81c818b_4
        - setuptools 46.4.0 py37_0
        - sqlite 3.31.1 h2a8f88b_1
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_2
        - wheel 0.34.2 py37_0
        - wincertstore 0.2 py37_0
        - zlib 1.2.11 h62dcd97_4
    run:
        - click >=6.6
        - cloudpickle >=1.3.0
        - cytoolz >=0.8.2
        - dask-core >=2.9.0
        - msgpack-python >=0.6.0
        - psutil >=5.0
        - python >=3.7,<3.8.0a0
        - pyyaml
        - setuptools
        - sortedcontainers !=2.0.0,!=2.0.1
        - tblib >=1.6.0
        - toolz >=0.8.2
        - tornado >=5
        - zict >=0.1.3
    run_constrained:
        - openssl !=1.1.1e
test:
    commands:
        - dask-scheduler --help
        - dask-ssh --help
        - dask-worker --help
    imports:
        - distributed
        - distributed.cli
        - distributed.comm
        - distributed.deploy
        - distributed.diagnostics
        - distributed.protocol
about:
    description: 'Distributed is a lightweight library for distributed computing in
        Python.

        It extends both the concurrent.futures and dask APIs to moderate sized

        clusters.

        '
    dev_url: https://github.com/dask/distributed
    doc_source_url: https://github.com/dask/distributed/blob/master/docs/source/index.rst
    doc_url: https://distributed.dask.org
    home: http://distributed.readthedocs.io/en/latest/
    license: BSD-3-Clause
    license_family: BSD
    license_file: LICENSE.txt
    summary: Distributed computing with Dask
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jcrist
        - jrbourbeau
        - marcelotrevisani
        - martindurant
        - mrocklin
        - ogrisel
        - tomaugspurger
